<div class="property">
    <div *ngIf="expand; else noExpand">
        <button mat-icon-button (click)="expand = false">
            <mat-icon>expand_more</mat-icon>
        </button>
    </div>
    <ng-template #noExpand>
        <button mat-icon-button (click)="expand = true">
            <mat-icon>chevron_right</mat-icon>
        </button>
    </ng-template>
    <div class="content">
        <div class="header">
            <div class="property-name" *ngIf="property.observable === false, else observable">{{ property.identifier }}</div>
            <ng-template #observable>
                <div class="property-name">[observable] {{ property.identifier }}</div>
            </ng-template>
            <div class="property-description">{{ property.description }}</div>
        </div>

        <div class="border" *ngIf="expand">
            <div class="section-title">Response</div>
             <div class="section-content">
                <div class="param-border">
                    <div class="params">
                        <div>
                            <div>
                                <span class="param-name"
                                      title="{{
                                    property.data_type.type
                                }}  ">{{
                                    property.identifier
                                    }}</span>
                            </div>
                        </div>
                        <div>
                            <mat-form-field class="value-field">
                                <mat-label>Return value</mat-label>
                                <input
                                    matInput
                                    disabled
                                    type="text"
                                    placeholder="Return value"
                                    ngModel=" {{this.returnValues[0]}}"
                                    />
                            </mat-form-field>
                        </div>
                    </div>
                </div>
            </div>
            <!--
            <div class="section-title">Usage</div>
            <div class="section-content example-code">
                <code>
                    {{ property.identifier }} =
                    <span class="python-object">yourObject</span>.<span
                        class="python-function"
                        >call_property</span
                    >(<span class="python-string"
                        >"{{ featureIdentifier }}"</span
                    >,<span class="python-string"
                        >"{{ property.identifier}}"</span
                    >)
                </code>
            </div>
            <div>
-->
            <div>
                <div *ngIf="property.observable === false, else observable">
                    <button
                        mat-flat-button
                        color="primary"
                        aria-label="Run"
                        (click)="getProperty(property.identifier)"
                    >
                        Run
                    </button>
                </div>
                <ng-template #observable>
                    <button
                        class = "right-button"
                        mat-flat-button
                        color="primary"
                        aria-label="Get"
                        (click)="getProperty(property.identifier)"
                    >
                        Get
                    </button>
                    <button
                        mat-flat-button
                        color="primary"
                        aria-label="Start/Stop"
                        (click)="toggleObservable(property.identifier)"
                    >
                        Start/Stop
                    </button>
                </ng-template>
            </div>
        </div>

    </div>
</div>
